Package com.destroystokyo.paper.event.entity

# Class SkeletonHorseTrapEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.SkeletonHorseTrapEvent

All Implemented Interfaces:
  `Cancellable`

public class SkeletonHorseTrapEvent extends EntityEvent implements Cancellable
Event called when a player gets close to a skeleton horse and triggers the lightning trap

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`SkeletonHorseTrapEvent(@NotNull SkeletonHorse horse)`
`SkeletonHorseTrapEvent(@NotNull SkeletonHorse horse, @NotNull List<HumanEntity> eligibleHumans)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<HumanEntity>`
`getEligibleHumans()`
`@NotNull SkeletonHorse`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkeletonHorseTrapEvent

public SkeletonHorseTrapEvent(@NotNull @NotNull SkeletonHorse horse)

### SkeletonHorseTrapEvent

public SkeletonHorseTrapEvent(@NotNull @NotNull SkeletonHorse horse, @NotNull @NotNull List<HumanEntity> eligibleHumans)

## Method Details

### getEntity

@NotNull public @NotNull SkeletonHorse getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getEligibleHumans

@NotNull public @NotNull List<HumanEntity> getEligibleHumans()

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()